#!/bin/bash

# 尝试使用 yum 卸载 Python 3
echo "尝试使用 yum 卸载 Python 3..."
if sudo yum remove python3 -y; then
    echo "使用 yum 卸载 Python 3 成功！"
else
    echo "使用 yum 卸载 Python 3 失败！错误信息：$?"
fi

# 手动删除 /usr/local/bin 下的 Python 3 相关文件
echo "删除 /usr/local/bin 下的 Python 3 相关文件..."
if sudo rm -rf /usr/local/bin/python3*; then
    echo "/usr/local/bin 下的 Python 3 相关文件删除成功！"
else
    echo "/usr/local/bin 下的 Python 3 相关文件删除失败！错误信息：$?"
fi

# 手动删除 /usr/local/lib 下的 Python 3 相关文件和目录
echo "删除 /usr/local/lib 下的 Python 3 相关文件和目录..."
if sudo rm -rf /usr/local/lib/python3*; then
    echo "/usr/local/lib 下的 Python 3 相关文件和目录删除成功！"
else
    echo "/usr/local/lib 下的 Python 3 相关文件和目录删除失败！错误信息：$?"
fi

# 手动删除 /usr/local/include 下的 Python 3 相关文件和目录
echo "删除 /usr/local/include 下的 Python 3 相关文件和目录..."
if sudo rm -rf /usr/local/include/python3*; then
    echo "/usr/local/include 下的 Python 3 相关文件和目录删除成功！"
else
    echo "/usr/local/include 下的 Python 3 相关文件和目录删除失败！错误信息：$?"
fi

echo "Python 3 卸载流程结束！"